Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Tutorial [Q] HTC One M7 Verizon-Mobile Network not available

OP Zacb01

8th April 2014, 08:01 PM   |  #1  
OP Junior Member
Flag Crawfordville
Thanks Meter: 0
 
22 posts
Join Date:Joined: Apr 2014
More
Here is my dilemma, I recently unlocked and rooted my HTC One M7 for Verizon. I may not have performed a backup but I am oblivious to what the problem may be. I am a newb to rooting and unlocking so please spare me any negative feedback. S-off was successful using firewater. Phone is unlocked in bootloader. Phone was rooted through TWRP v2.7.0.0 and SU. After root was successful I did a factory reset then flashed CM11 with TWRP. CM11 installation was successful except for one problem. My mobile network is not available and a message appears on the screen(You need to refer to the SIM card instruction that came with your phone.) The CM11 file that I installed is: cm-11-20140407-NIGHTLY-m7.zip and after reading that the "Nightly" roms are not the most stable, I then flashed this one: cm-11-20140405-SNAPSHOT-M5-m7.zip. Here is what the Installation looked like in Recovery:

Updating partition details...
Full SELinux support is present.
Formatting Cache using make_ext4fs function.
Wiping data without wiping /data/media ...
Done.
Updating partition details...
Installing ' /sdcard/Download/cm-11-20140405-SN
APSHOT-M5-m7.zip'...
Checking for MD5 file...
Skipping MD5 check: no MD5 file found.
Updating partition details..
Successful.
Following the successful flash, I then installed gapps-kk-20131208. Please be detailed in how I can fix this issue. Thanks so much in advance.
8th April 2014, 11:04 PM   |  #2  
cmlusco's Avatar
Senior Member
Flag Michigan City, IN
Thanks Meter: 932
 
3,146 posts
Join Date:Joined: Nov 2010
Donate to Me
More
Have you ever updated to kk firmware? If your using a kk based rom, you also need kk firmware.
8th April 2014, 11:25 PM   |  #3  
OP Junior Member
Flag Crawfordville
Thanks Meter: 0
 
22 posts
Join Date:Joined: Apr 2014
More
Tutorial KK firmware
Quote:
Originally Posted by cmlusco

Have you ever updated to kk firmware? If your using a kk based rom, you also need kk firmware.

I don't understand. What is KK firmware? This may seem like a stupid question but I really don't know.
8th April 2014, 11:30 PM   |  #4  
OP Junior Member
Flag Crawfordville
Thanks Meter: 0
 
22 posts
Join Date:Joined: Apr 2014
More
Tutorial kk
I am going to feel really stupid if you meant kit kat and if you did then yes I have installed the version for kit kat 4.4.2
9th April 2014, 12:29 AM   |  #5  
Crawshayi's Avatar
Senior Member
Thanks Meter: 288
 
977 posts
Join Date:Joined: May 2012
More
Quote:
Originally Posted by Zacb01

I am going to feel really stupid if you meant kit kat and if you did then yes I have installed the version for kit kat 4.4.2

No he doesn't mean it has to do with the rom. Firmware is flashed separate from roms. Once you flash it, you don't have to worry about it unless a newer firmware gets released. Go to this thread: http://forum.xda-developers.com/show....php?t=2485319 and follow the instructions on the 2nd post. Use 3.11.605.1 NO Boot.img firmware.zip since you'll be doing custom roms.
The Following User Says Thank You to Crawshayi For This Useful Post: [ View ]
9th April 2014, 01:58 AM   |  #6  
OP Junior Member
Flag Crawfordville
Thanks Meter: 0
 
22 posts
Join Date:Joined: Apr 2014
More
Tutorial Mobile service
Quote:
Originally Posted by Crawshayi

No he doesn't mean it has to do with the rom. Firmware is flashed separate from roms. Once you flash it, you don't have to worry about it unless a newer firmware gets released. Go to this thread: http://forum.xda-developers.com/show....php?t=2485319 and follow the instructions on the 2nd post. Use 3.11.605.1 NO Boot.img firmware.zip since you'll be doing custom roms.

I installed this successfully but I still can't make or receive calls. I am wondering if the version of cyanogenmod that I flashed might not be compatible but I did not get a status 7 error when installing. I am also wondering why I got the sim card message when first installing cm11. The version that I installed is stated above on my first post but cyanogenmod has m7 and m7vzw, I can install m7, which I believe is for GSM but I have a Verizon HTC One. When I try to flash the m7vzw version I get the status 7 error code. I tried to do a fix for it but I may have done this incorrectly since I got a status 6 error code. Plz help. I need this phone for work.
9th April 2014, 02:11 AM   |  #7  
cmlusco's Avatar
Senior Member
Flag Michigan City, IN
Thanks Meter: 932
 
3,146 posts
Join Date:Joined: Nov 2010
Donate to Me
More
You want the m7vzw, the regular m7 is gsm. Status 7 refers to an error in the update script or an incompatible update binary. Does it give a specific error with that status 7? You should also update your twrp to version 2.7.0.4b-santod. http://www.androidfilehost.com/?fid=23329332407584851

Last i heard cm11 is only in preview and data and calls do not work. That may have changed though.
Last edited by cmlusco; 9th April 2014 at 02:31 AM.
9th April 2014, 02:45 AM   |  #8  
OP Junior Member
Flag Crawfordville
Thanks Meter: 0
 
22 posts
Join Date:Joined: Apr 2014
More
Tutorial Error
I updated the twrp to v2.7.0.4b-santod, did a factory reset and tried to flash cm11 for m7vzw and was given this mssg...E:Error executing updater binary in zip ' /sdcard/Download/cm-11-20140124-NIGHTLY-M7VZW.ZIP' Setting performance mode OFF. Error flashing zip....etc.....
9th April 2014, 02:52 AM   |  #9  
cmlusco's Avatar
Senior Member
Flag Michigan City, IN
Thanks Meter: 932
 
3,146 posts
Join Date:Joined: Nov 2010
Donate to Me
More
Why are you flashing an old nightly, and not the one from yesterday? http://download.cyanogenmod.org/?dev...w&type=nightly

I think your issue is that your trying to flash an older nightly with a newer recovery. The newer recoveries have updated binaries that older roms arent compatie with. So either flash a newer nightly, or and older recovery.

If you want a stable rom, i would not use cm11, i would go with cm10.2.
The Following User Says Thank You to cmlusco For This Useful Post: [ View ]
9th April 2014, 03:06 AM   |  #10  
OP Junior Member
Flag Crawfordville
Thanks Meter: 0
 
22 posts
Join Date:Joined: Apr 2014
More
Tutorial Compatible
The twrp version you recommended and the yesterday's nightly don't work together. Do you have a recovery and a cm11 that are compatible that you can recommend?

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes